%global dlrn_nvr 3.2.0-2.20220401010255.82343e1
%global dlrn 1
%define upstream_version 3.2.0
%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-ceph
%global commit 0849e7addd98e7d158c17fac3d9b1ee34f226e7f
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git

%if 0%{?dlrn}
%define upstream_name openstack-ceph
%else
%define upstream_name puppet-ceph
%endif

Name:           puppet-ceph
Version: 3.2.0
Release: 2.20220401010255.82343e1%{?dist}
Summary:        Community Developed Ceph Module
License:        ASL 2.0

URL:            https://launchpad.net/puppet-ceph

Source0: 3.2.0-2.20220401010255.82343e1.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=82343e1cda01952dbe2ca160dfe41e2a53dd2e12

BuildArch:      noarch

#Requires:       puppet-apt
Requires:       puppet-apache
Requires:       puppet-concat
Requires:       puppet-inifile
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet-keystone
Requires:       puppet >= 2.7.0

%description
Community Developed Ceph Module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ceph/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ceph/



%files
%{_datadir}/openstack-puppet/modules/ceph/


%changelog
* Thu Mar 31 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.0-2.20220401010255.82343e1
- Update patches
- setuptools: Disable auto discovery

* Wed Mar 09 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.0-2.20220310005540.c9dc5ce
- Update patches
- remove unicode literal from code

* Thu Feb 24 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.0-2.20220225005326.f17e540
- Update patches
- Release 3.2.0

* Sun Feb 20 2022 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20220221005229.e13544a
- Update patches
- CentOS: Allow fixing repository url for CentOS Stream

* Tue Jan 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20220126005207.92da935
- Update patches
- Add unit tests of ceph::rgw::keystone::auth

* Wed Dec 29 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20211230004837.201e8b1
- Update patches
- Deprecated pid_max and remove sysctl module dependency

* Wed Dec 08 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20211209004857.28a866b
- Update patches
- Hide credential strings from puppet logs
- Remove workaround for issue caused by default ldap secret

* Tue Nov 30 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20211201005015.72584e5
- Update patches
- Bump upper versions
- Fix unit test failure with recent puppetlabs-inifile

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20211003004818.56d0441
- Update patches
- Add information technology in the setup.cfg
- Add license information in the setup.cfg
- Delete useless code for setup.py

* Wed Sep 29 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210930004817.ef2e847
- Update patches
- Stop configuring install_command in tox.
- Fix pbr>=2.0.0 for setup.py
- Update openstackdocstheme to the latest version

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210929004814.1afd64b
- Update patches
- Update reno to the latest version

* Mon Aug 16 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210816224811.3a1a8bb
- Update patches
- Support Puppet 7

* Thu Jul 08 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210708224805.6edfc34
- Update patches
- Drop Fedora support

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210603181657.ffa80da
- Update patches
- Set fixture paths for unit tests

* Tue Jun 01 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210602015720.b86ad15
- Update patches
- Update IRC network to OFTC

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210601022747.a733e34
- Update patches
- setup.cfg: Replace dashes with underscores
- Fix lint errors with the latest lint packages

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210528120644.8283dc4
- Update patches

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Bump dependency in metadata.json

* Sat Mar 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Update sphinx to the latest version

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Add Ubuntu Focal to the supporrted operating systesm

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Thu Sep 17 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Set openstackdocs_auto_name to use 'project' as name

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Remove beaker

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Use openstack_spec_helper from zuul checkout

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Update Puppet requirement to >= 6.0.0

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Release 3.1.1

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Fix CentOS Storage SIG mirror URL

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Add CentOS8 to nodesets

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Release 3.1.0
- Remove legacy StackForge from authors in metadata

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Bump openstackdocstheme to 1.30.0

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Resolve duplicated requirement names in metadata

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for CentOS 8

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches




